	{% if ansible_network_os == 'arista.eos.eos' %}
show hostname
{% elif ansible_network_os == 'cisco.ios.ios' %}
show running-config | inc hostname
{% elif ansible_network_os == 'community.network.ce' %}
display current-configuration | inc sysname
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
show running-config | grep hostname
{% elif ansible_network_os == 'dellemc.os9.os9' %}
show running-config | inc hostname 
{% elif ansible_network_os == 'dellemc.os6.os6' %}
show running-config | inc hostname
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
